#!/usr/bin/python
# Copyright (C) 2006 Pareto; http://www.pareto.nl/
# Written by Martijn Pieters <martijn.pieters@pareto.nl>
# Licensed under the ZPL, see LICENSE.txt

def _test(modules=()):
    for module in modules:
        mod = __import__('linktally.%s' % module, globals(), locals(), 
                         ['_test'])
        mod._test(mod)

if __name__ == '__main__':
    import sys
    sys.path.insert(0, 'src')
    modules = [arg for arg in sys.argv[1:] if arg[0] != '-']
    if not modules:
        modules = 'db logparser query tallies utils'.split()
    _test(modules)
